# -*- encoding: utf-8 -*-
# stub: wwwjdic 16.1.0 ruby lib

Gem::Specification.new do |s|
  s.name = "wwwjdic".freeze
  s.version = "16.1.0"

  s.required_rubygems_version = Gem::Requirement.new(">= 0".freeze) if s.respond_to? :required_rubygems_version=
  s.metadata = { "bug_tracker_uri" => "https://savannah.nongnu.org/bugs/?group=wwwjdic", "changelog_uri" => "http://hg.savannah.nongnu.org/hgweb/wwwjdic/file/tip/CHANGELOG", "documentation_uri" => "http://hg.savannah.nongnu.org/hgweb/wwwjdic/tag/16.1.0/", "homepage_uri" => "https://savannah.nongnu.org/projects/wwwjdic", "source_code_uri" => "http://hg.savannah.nongnu.org/hgweb/wwwjdic/file/" } if s.respond_to? :metadata=
  s.require_paths = ["lib".freeze]
  s.authors = ["Marco Bresciani".freeze, "\u65B0\u90E8\u88D5".freeze, "Jon Maken".freeze]
  s.date = "2021-08-17"
  s.description = "This gem uses WWWJDic Backdoor Entry/API as described by\n http://www.edrdg.org/wwwjdic/wwwjdicinf.html#backdoor_tag to to\n interact with WWWJDic and translate to and from Japanese language. WWWJDic is an online Japanese\n translation server made by Jim Breen and available at\n http://www.edrdg.org/cgi-bin/wwwjdic/wwwjdic?1C. GNU GPLv3\n license; source code available through anonymous checkout: `hg clone\n http://hg.savannah.nongnu.org/hgweb/wwwjdic/` or write me and\n I'll send it. You can even decide to contribute to this little free\n software project by registering to Savannah and ask to be part of the\n 'wwwjdic' project!".freeze
  s.email = "marcobresciani_1974@libero.it".freeze
  s.extra_rdoc_files = ["CHANGELOG".freeze, "COPYING.md".freeze, "copyright.md".freeze, "Gemfile".freeze, "wwwjdic.gemspec".freeze, "Rakefile".freeze, "README.md".freeze]
  s.files = ["CHANGELOG".freeze, "COPYING.md".freeze, "Gemfile".freeze, "README.md".freeze, "Rakefile".freeze, "copyright.md".freeze, "wwwjdic.gemspec".freeze]
  s.homepage = "https://savannah.nongnu.org/projects/wwwjdic/".freeze
  s.licenses = ["GPL-3.0".freeze, "BSD-3-Clause".freeze]
  s.post_install_message = "Thank you for using wwwjdic version 16.1.0.".freeze
  s.required_ruby_version = Gem::Requirement.new("~> 3.0".freeze)
  s.requirements = ["~> 3.0".freeze, "[<Gem::Dependency type=:runtime name=\"i18n\" requirements=\"~> 1.8\">, <Gem::Dependency type=:runtime name=\"json\" requirements=\"~> 2.5\">, <Gem::Dependency type=:development name=\"bundler\" requirements=\"~> 2.2\">, <Gem::Dependency type=:development name=\"minitest\" requirements=\"~> 5.14\">, <Gem::Dependency type=:development name=\"rake\" requirements=\"~> 13.0\">, <Gem::Dependency type=:development name=\"rdoc\" requirements=\"~> 6.3\">, <Gem::Dependency type=:development name=\"rubocop\" requirements=\"~> 1.19\">, <Gem::Dependency type=:development name=\"simplecov\" requirements=\"~> 0.21\">]".freeze]
  s.rubygems_version = "3.2.22".freeze
  s.summary = "This gem uses WWWJDic Backdoor Entry/API as described by http://www.edrdg.org/wwwjdic/wwwjdicinf.html#backdoor_tag to to interact with WWWJDic and translate to and from Japanese language.".freeze

  s.installed_by_version = "3.2.22" if s.respond_to? :installed_by_version

  if s.respond_to? :specification_version then
    s.specification_version = 4
  end

  if s.respond_to? :add_runtime_dependency then
    s.add_runtime_dependency(%q<i18n>.freeze, ["~> 1.8"])
    s.add_runtime_dependency(%q<json>.freeze, ["~> 2.5"])
    s.add_development_dependency(%q<bundler>.freeze, ["~> 2.2"])
    s.add_development_dependency(%q<minitest>.freeze, ["~> 5.14"])
    s.add_development_dependency(%q<rake>.freeze, ["~> 13.0"])
    s.add_development_dependency(%q<rdoc>.freeze, ["~> 6.3"])
    s.add_development_dependency(%q<rubocop>.freeze, ["~> 1.19"])
    s.add_development_dependency(%q<simplecov>.freeze, ["~> 0.21"])
  else
    s.add_dependency(%q<i18n>.freeze, ["~> 1.8"])
    s.add_dependency(%q<json>.freeze, ["~> 2.5"])
    s.add_dependency(%q<bundler>.freeze, ["~> 2.2"])
    s.add_dependency(%q<minitest>.freeze, ["~> 5.14"])
    s.add_dependency(%q<rake>.freeze, ["~> 13.0"])
    s.add_dependency(%q<rdoc>.freeze, ["~> 6.3"])
    s.add_dependency(%q<rubocop>.freeze, ["~> 1.19"])
    s.add_dependency(%q<simplecov>.freeze, ["~> 0.21"])
  end
end
